Modify

Opened 9 years ago

Closed 8 years ago

#293 closed enhancement (fixed)

wrong transfer CC from email to ticket's CC filed

Reported by: slevin@… Owned by: bas
Priority: major Milestone:
Component: email2trac Version: 2.5.0
Keywords: Cc:

Description

Stand for tests: trac 0.12.2 on gentoo linux - copy of the production trac machine with a little changes in trac.ini in [notification] section. Email2Trac v.2.4.7 and the same situation with v.2.5.0

As I understand when e-mail contain into CC field some addresses - email2trac put that addresses into ticket's CC field - right? For me that doesn't work in both version of em2tr. I write first email into trac - without CC addresses in the email. All is ok - new ticket created into trac. CC field of that ticket is empty. I send second message as reply on the notification from trac, email in CC field contain one email address - in ticket we received new comment from my email and ticket's CC fields stay empty.

PS: I was try put CC into subject - that dowsn't work too. Only @cc:email work fine for me - is it correct?

May be somebody have a quick patch for fix it? or only I'm is a "lucky man" ?

Attachments (0)

Change History (10)

comment:1 Changed 9 years ago by bas

Here are some answers. Did you set:

reply_all: 	0 	OPTIONAL, if set then put all CC-addresses in ticket CC-field 

and you can only use: @cc as fieldname

comment:2 Changed 9 years ago by slevin@…

Just a seconds. I will check it....

comment:3 Changed 9 years ago by slevin@…

ntrac etc # cat email2trac.conf

[DEFAULT]
project: /var/lib/trac/admin
default_componnet: general
default_resolution: new
#trac_version: 0.11
quote_attachment_filenames: 1
debug: 999
umask: 022
spam_level: 5
reply_all : 1
mailto_link: 0
umask: 022
email_header: 0
enable_syslog : 0
alternate_notify_template :
alternate_notify_template_update :
ticket_update: 1
#ticket_permission_system: update_restricted_to_participants
reply_all : 1
strip_signature: 1
drop_spam : 1
drop_alternative_html_version: 1
verbatim_format: 0
email_quote: >
strip_quotes: 1
ignore_trac_user_settings: 1
black_list: MAILER-DAEMON@
inline_properties: 1
log_level: DEBUG
log_type: file
log_file: /var/log/em2tr/email2trac.log
use_textwrap : 80

[ticket]
default_resolution = new
ticket_permission_system: update_restricted_to_participants

[hr]
project: /var/lib/trac/hr
default_component: Другое
ticket_permission_system:
# update_restricted_to_participants

Last comment in ticket:

Changed 15 seconds ago by slevin@adriver.ru

Добрый день,  slevin@adriver.ru!

test10?

So I still can't put attachments into that ticket and following message for test tickets with CC

From slevin@adriver.ru  Tue Apr  3 12:50:03 2012
Return-Path: <slevin@adriver.ru>
Received: from mx.adriver.ru (mx.adriver.lan [192.168.11.109])
        by ntrac.x (8.14.2/8.14.2) with ESMTP id q338o3wA016623
        for <em2tr@ntrac.x>; Tue, 3 Apr 2012 12:50:03 +0400
Received: from mx-k.adriver.ru (mx-k.lan [192.168.11.211])
        by mx.adriver.ru (Postfix) with ESMTP id 97C718068CE02
        for <em2tr@ntrac.lan>; Tue,  3 Apr 2012 12:50:03 +0400 (MSK)
X-SMTP-Auth: no
Received: from mx.adriver.ru (mx.adriver.lan [192.168.11.109])
        by mx-k.adriver.ru (Postfix) with ESMTP id 9331088016200;
        Tue,  3 Apr 2012 12:50:03 +0400 (MSK)
Received: from [192.168.115.19] (unknown [81.119.126.116])
        (using TLSv1 with cipher DHE-RSA-CAMELLIA256-SHA (256/256 bits))
        (No client certificate requested)
        (Authenticated sender: slevin@adriver.ru)
        by mx.adriver.ru (Postfix) with ESMTPSA id 7204D8068CE02;
        Tue,  3 Apr 2012 12:50:03 +0400 (MSK)
Message-ID: <4F7AB9BA.1070909@adriver.ru>
Date: Tue, 03 Apr 2012 12:50:02 +0400
From: "slevin@adriver.ru" <slevin@adriver.ru>
User-Agent: Mozilla/5.0 (X11; Linux x86_64;
        rv:11.0) Gecko/20120319 Thunderbird/11.0
MIME-Version: 1.0
To: hrntrac@domen.lan
CC: user@domen.ru
Subject: Re: [hr] #211: test ticket
References: <029.78010cebc4cdad23dc2d958954f1326e@adriver.ru>
        <4F7977CC.7030201@adriver.ru>
In-Reply-To: <4F7977CC.7030201@adriver.ru>
X-Enigmail-Version: 1.4
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Virus-Scanned: clamav-milter 0.96 at mx
X-Virus-Status: Clean

test10?

-- 
test

comment:4 Changed 9 years ago by slevin@…

Log:

2012-04-03 12:50:04,071 email2trac hr: Found trac version: 0.12
2012-04-03 12:50:04,188 email2trac hr: Loading environment /var/lib/trac/hr
2012-04-03 12:50:05,078 email2trac hr: Main function parse
2012-04-03 12:50:05,080 email2trac hr: saving email to /tmp/tmptygmWN.hr.email2trac
2012-04-03 12:50:05,081 email2trac hr: function get_message_parts()
2012-04-03 12:50:05,082 email2trac hr:   Message part: Main-Type: text
2012-04-03 12:50:05,082 email2trac hr:   Message part: Content-Type: text/plain
2012-04-03 12:50:05,082 email2trac hr: function inline_part()
2012-04-03 12:50:05,082 email2trac hr:   unicode filename: None
2012-04-03 12:50:05,082 email2trac hr:   raw filename: None
2012-04-03 12:50:05,082 email2trac hr: function check_filename_length: 
2012-04-03 12:50:05,082 email2trac hr: function strip_signature
2012-04-03 12:50:05,082 email2trac hr: function strip_quotes
2012-04-03 12:50:05,082 email2trac hr: function email_to_unicode
2012-04-03 12:50:05,083 email2trac hr: function inline_properties
2012-04-03 12:50:05,083 email2trac hr: function unique_attachment_names()
2012-04-03 12:50:05,083 email2trac hr: function get_body_text()
2012-04-03 12:50:05,083 email2trac hr: function debug_body:
2012-04-03 12:50:05,084 email2trac hr: writing body to /tmp/tmptygmWN.hr.email2trac.body
2012-04-03 12:50:05,084 email2trac hr: function debug_attachments
2012-04-03 12:50:05,086 email2trac hr: function get_sender_info
2012-04-03 12:50:05,086 email2trac hr: function email_to_unicode
2012-04-03 12:50:05,086 email2trac hr:   email name: slevin@adriver.ru, email address: slevin@adriver.ru
2012-04-03 12:50:05,086 email2trac hr: function email_header_acl: white_list
2012-04-03 12:50:05,086 email2trac hr:   white_list not defined, all messages are allowed.
2012-04-03 12:50:05,086 email2trac hr: function email_header_acl: black_list
2012-04-03 12:50:05,087 email2trac hr: function email_header_acl: recipient_list
2012-04-03 12:50:05,087 email2trac hr:   recipient_list not defined, all messages are allowed.
2012-04-03 12:50:05,087 email2trac hr: function spam
2012-04-03 12:50:05,087 email2trac hr: function spam
2012-04-03 12:50:05,087 email2trac hr: function email_to_unicode
2012-04-03 12:50:05,087 email2trac hr: subject: u'Re: [hr] #211: test ticket'
2012-04-03 12:50:05,087 email2trac hr: Trac BLOG support enabled
2012-04-03 12:50:05,088 email2trac hr: function ticket_update
2012-04-03 12:50:05,088 email2trac hr: ticket_update id #211
2012-04-03 12:50:05,093 email2trac hr: function mail_workflow: 
2012-04-03 12:50:05,093 email2trac hr: function get_message_parts()
2012-04-03 12:50:05,094 email2trac hr:   Message part: Main-Type: text
2012-04-03 12:50:05,094 email2trac hr:   Message part: Content-Type: text/plain
2012-04-03 12:50:05,094 email2trac hr: function inline_part()
2012-04-03 12:50:05,094 email2trac hr:   unicode filename: None
2012-04-03 12:50:05,094 email2trac hr:   raw filename: None
2012-04-03 12:50:05,094 email2trac hr: function check_filename_length: 
2012-04-03 12:50:05,094 email2trac hr: function strip_signature
2012-04-03 12:50:05,094 email2trac hr: function strip_quotes
2012-04-03 12:50:05,094 email2trac hr: function email_to_unicode
2012-04-03 12:50:05,094 email2trac hr: function inline_properties
2012-04-03 12:50:05,095 email2trac hr: function unique_attachment_names()
2012-04-03 12:50:05,095 email2trac hr: function get_body_text()
2012-04-03 12:50:05,095 email2trac hr: function attach_attachments()
2012-04-03 12:50:05,095 email2trac hr: tkt.save_changes(slevin@adriver.ru, 12)
2012-04-03 12:50:05,106 email2trac hr: function notify()

comment:5 Changed 9 years ago by bas

reply_all currently only works for new tickets. And if i read the log correctly you performing a ticket update. Then the CC-fields are not updated

comment:6 Changed 9 years ago by slevin@…

hmmmm - ahhhhhh - ok, so - can I ask you for make some new functional? Can you make possible change CC when ticket are updating - via config option?

comment:7 Changed 9 years ago by bas

  • Status changed from new to assigned
  • Type changed from defect to enhancement

You can always ask ;-). I will tty to fix this. For the moment i am but swamped with other work.

comment:8 Changed 9 years ago by bas

Slevin,

I just tried to set the cc-fields with inline properties and that works for the current version: @cc : basv@…, slevin@…

I just checkin a patch that cc fields are also honored for ticket_updates. Currently it will override the values: To clarify if you sent email with cc fields, eg: basv@…, slevin@…. The ticket CC field will be:

  • basv@…, slevin@…

If the next message have a cc address: info@…. The ticket CC field will be:

  • info@…

comment:9 Changed 9 years ago by bas

(In [597]) renamed function set_reply_fields to set_cc_fields. So we can use it in ticket_update and resolved a bug that reporter email address was not stripped from CC fields, see #293

comment:10 Changed 8 years ago by bas

  • Resolution set to fixed
  • Status changed from assigned to closed

is already in production

Add Comment

Modify Ticket

Change Properties
Action
as closed The owner will remain bas.
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.